apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  annotations:
    nginx.ingress.kubernetes.io/backend-protocol: HTTP
    nginx.ingress.kubernetes.io/force-ssl-redirect: "true"
    cert-manager.io/cluster-issuer: main

  name: argocd-server
  namespace: argocd
spec:
  ingressClassName: nginx
  rules:
  - host: 
    http:
      paths:
      - backend:
          service:
            name: argocd-server
            port:
              number: 80
        path: /argocd
        pathType: Prefix
  tls:
  - hosts:
    - 
    secretName: argocd-net-tls
